﻿using HanyadikHetVan.DTO;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

namespace HanyadikHetVan.Services
{
    public class HanyadikHetVanService
    {
        private readonly ILogger<HanyadikHetVanService> _logger;
        private IConfiguration _configuration;

        public HanyadikHetVanService(ILogger<HanyadikHetVanService> logger, IConfiguration configuration)
        {
            _configuration = configuration;
            _logger = logger;
        }

        public int HanyadikHetVan()
        {
            return new HanyadikHetVanDTO(_configuration["HanyadikHetVan:StartDate"]).HanyadikHet;
        }
    }
}
